Page MenuHomePhabricator

"Uncaught TypeError: Cannot read property 'top' of null" appears while switching to wikitext diff from visual diff after changing the link target of a link that has a label
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Create an external link.
  2. Click on Edit again.
  3. Click the button "Add label".
  4. Once the label gets added, reopen the link inspector again.
  5. Change the external link.
  6. Click on "Publish Changes".
  7. Switch from visual diff to wikitext diff.

Observe that, there is an error in the console: Uncaught TypeError: Cannot read property 'top' of null

Event Timeline

Ryasmeen created this task.Feb 14 2018, 1:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 1:31 AM
Esanders moved this task from To Triage to Current work on the VisualEditor board.Feb 16 2018, 3:17 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 411261 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Another check to see if visual diff is still visible

https://gerrit.wikimedia.org/r/411261

Deskana assigned this task to Esanders.Feb 16 2018, 3:32 PM

Change 411261 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Another check to see if visual diff is still visible

https://gerrit.wikimedia.org/r/411261

Ryasmeen closed this task as Resolved.Feb 21 2018, 9:19 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 21 2018, 9:19 PM